> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bigcapital.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Stripe checkout session

> Creates a Stripe checkout session for an invoice payment link



## OpenAPI

````yaml api-reference/openapi.json post /api/payment-links/{paymentLinkId}/stripe_checkout_session
openapi: 3.0.0
info:
  title: Bigcapital
  description: Financial accounting software
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /api/payment-links/{paymentLinkId}/stripe_checkout_session:
    post:
      tags:
        - Payment Links
      summary: Create Stripe checkout session
      description: Creates a Stripe checkout session for an invoice payment link
      operationId: PaymentLinksController_createInvoicePaymentLinkCheckoutSession
      parameters:
        - name: Authorization
          in: header
          description: >-
            Value must be 'Bearer <token>' where <token> is an API key prefixed
            with 'bc_' or a JWT token.
          required: true
          schema:
            type: string
            example: Bearer bc_1234567890abcdef
        - name: organization-id
          in: header
          description: >-
            Required if Authorization is a JWT token. The organization ID to
            operate within.
          required: true
          schema:
            type: string
        - name: paymentLinkId
          required: true
          in: path
          description: The ID of the payment link
          schema:
            type: string
      responses:
        '200':
          description: Successfully created Stripe checkout session
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    description: Stripe checkout session ID
                  url:
                    type: string
                    description: Stripe checkout session URL
        '404':
          description: Payment link not found

````